You can use [`freelistingprogram.get`](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram/get) to
get the current status of [free
listings](https://support.google.com/merchants/answer/9199328) for a specific region.

See the [Shopping ads guide](https://developers.google.com/shopping-content/guides/review-shopping-ads) for
problems with your [Shopping ads](https://developers.google.com/google-ads/api/docs/shopping-ads/overview),
and the [Account Statuses guide](https://developers.google.com/shopping-content/guides/accountstatuses) for
account information and issues.

Merchants are responsible for complying with the [free
listings](https://support.google.com/merchants/answer/9261529) policies. Google
Shopping reserves the right to enforce these policies and respond appropriately
if we find content or behavior that violates these policies.

## get

You can use the
[`freelistingprogram.get`](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram/get) method to get
the current status of your free listings. This method requires your `merchantID`
and returns an instance of
[`freelistingprogramstatus`](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram) with the current
approval status and review eligibility. If your free listings are enrolled in
multiple regions, `get` returns a `freelistingprogramstatus` resource for each
region.

    GET https://shoppingcontent.googleapis.com/content/v2.1/merchantId/freelistingprogram

Here's a sample response:

    {
      "globalState": "NOT_ENABLED",
      "regionStatuses": [
        {
          "regionCodes": [
            "US"
          ],
          "eligibilityStatus": "DISAPPROVED",
          "reviewIssues": [
            "editorial_and_professional_standards_destination_url_down_policy"
          ],
          "onboardingIssues": [
            "home_page_issue"
          ],
          "disapprovalDate": "2013-02-25",
          "reviewEligibilityStatus": "INELIGIBLE",
          "reviewIneligibilityReason": "IN_COOLDOWN_PERIOD",
          "reviewIneligibilityReasonDescription": "Cool down applies: Wait for one-week cool-down period to end before you can request a review from Google. End of cool down is 2013-02-30",
          "reviewIneligibilityReasonDetails": {
            "cooldownTime": "2013-02-30"
          }
        }
      ]
    }

There are three cases where an issue has the severity `WARNING`:

- Warnings that turn into disapprovals if you don't resolve them by the deadline.
- Warnings that don't have a deadline or turn into disapprovals, but limit the impressions for your products.
- Warnings that don't have a deadline and don't impact the impressions for your products.

This method returns errors and warnings if they require action to resolve, will
become disapprovals, or impact impressions. Use [account
statuses](https://developers.google.com/shopping-content/guides/accountstatuses) to view all issues impacting
an account, regardless of severity.

## requestreview

> [!WARNING]
> **Deprecated:** We recommend using the [Merchant Support
> service](https://developers.google.com/shopping-content/guides/merchant-support) to view the status and request reviews of your products and account.

Some issues require a review of your free listings. You can use the
[`freelistingprogram.requestreview`](https://developers.google.com/shopping-content/reference/rest/v2.1/freelistingsprogram/requestreview)
method to request a review after making changes. This method requires your
`merchantId` and
[`regionCode`](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2), and returns an
empty response body if completed successfully.

You need to do the following before you can request a review:

- Have an [address](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts#AccountAddress).
- [Verify a phone number](https://developers.google.com/shopping-content/guides/phoneverification).
- [Claim a website](https://support.google.com/merchants/answer/176793).
- [Upload products](https://developers.google.com/shopping-content/guides/products/overview).

> [!NOTE]
> **Note:** The review is of your entire free listings program for a specific region. Fix all issues for that region then raise a single review request.

    POST https://shoppingcontent.googleapis.com/content/v2.1/merchantId/freelistingsprogram/requestreview

After a successful request, the `eligibilityStatus`of your account changes to
`PENDING_REVIEW`.